﻿Option Strict On
Imports System.Xml.Linq
Imports System.Collections.ObjectModel

Public Class ImageInfo
    Public Property 画像名 As String
End Class

Partial Public Class SilverlightControl1
    Inherits UserControl
    Dim myImageInfo As New ObservableCollection(Of ImageInfo)
    Dim myImageInfo2 As New ObservableCollection(Of ImageInfo)
    Dim xmldoc As XElement

    Public Sub New()
        InitializeComponent()
    End Sub


    Private Sub SilverlightControl1_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        xmldoc = XElement.Load("Photo.xml")
        Dim query = From c In xmldoc.Descendants("画像名") Select c
        For Each result In query
            With myImageInfo
                .Add(New ImageInfo With {.画像名 = "Image/" & result.Value})
            End With
        Next
        ListBox1.ItemsSource = myImageInfo
    End Sub


    Public Sub AddRightItem()

        If ListBox1.SelectedIndex >= 0 Then

            Dim addImage As ImageInfo = DirectCast(ListBox1.SelectedItem, ImageInfo)
            myImageInfo2.Add(addImage)
            ListBox2.ItemsSource = myImageInfo2


            Dim delImage As ImageInfo = DirectCast(ListBox1.SelectedItem, ImageInfo)
            myImageInfo.Remove(delImage)



            ListBox1.ItemsSource = Nothing
            ListBox1.ItemsSource = myImageInfo


        End If
    End Sub

    Public Sub AddLeftItem()
        If ListBox2.SelectedIndex >= 0 Then
            Dim no As Integer = ListBox2.SelectedIndex

            Dim addImage As ImageInfo = DirectCast(ListBox2.SelectedItem, ImageInfo)
            myImageInfo.Add(addImage)
            ListBox1.ItemsSource = myImageInfo

            myImageInfo2.RemoveAt(no)
            ListBox2.ItemsSource = Nothing
            ListBox2.ItemsSource = myImageInfo2

        End If
    End Sub
End Class

